{% extends "shop/catalog/product-add2cart.html" %}
{% load i18n %}

{% block add-to-cart-url %}{{ product.get_absolute_url }}/add-wearable-to-cart/{% endblock %}

{% block add-product-to-cart-body %}
<div class="card-body pb-0">
	<div class="d-flex justify-content-between">
		<div class="d-flex flex-column">
			<label for="product_code">{% trans "Size" %}</label>
			<select class="form-control" name="product_code" ng-model="context.product_code" ng-change="updateContext()" >
	{% for wearable in product.variants.all %}
				<option value="{{ wearable.product_code }}">
					{{ wearable.size }}
				</option>
	{% endfor %}
			</select>
		</div>
		<div class="d-flex flex-column w-25">
			<span class="label">{% trans "Quantity" %}</span>
			<div class="form-group">
				<input class="form-control" type="number" min="1" ng-model="context.quantity" ng-model-options="{{ ADD2CART_NG_MODEL_OPTIONS }}" ng-change="updateContext()" />
			</div>
		</div>
		<div class="d-flex flex-column">
			<span class="label">{% trans "Unit Price" %}</span>
			<div class="lead font-weight-bold">
			{% verbatim %}{{ context.unit_price }}{% endverbatim %}
			</div>
		</div>
		<div class="d-flex flex-column">
			<span class="label">{% trans "Subtotal" %}</span>
			<div class="lead font-weight-bold">
			{% verbatim %}{{ context.subtotal }}<sup>*</sup>{% endverbatim %}
			</div>
		</div>
	</div>
	<div class="text-muted text-right mb-3">
		<small><sup>*</sup>&nbsp;incl. VAT, plus shipping costs</small>
	</div>
</div>
{% endblock add-product-to-cart-body %}
